function signinvalid(){
  if($('#type').val()==''){
	  swal({title: "Error!", type: "error", text: "Please select login type", showConfirmButton: true, allowOutsideClick: false, allowEscapeKey: false}).then((result) => {
		adderrorstyleinput('type');
                removeerrorstyleinput('username');
		removeerrorstyleinput('password');
		inputfocus('type');
	});
	return false;
  }
  if($('#username').val()==''){
	  swal({title: "Error!", type: "error", text: "Please enter email", showConfirmButton: true, allowOutsideClick: false, allowEscapeKey: false}).then((result) => {
		adderrorstyleinput('username');
		removeerrorstyleinput('password');
                removeerrorstyleinput('type');
		inputfocus('username');
	});
	return false;
  }

  if($('#password').val()==''){
	  swal({title: "Error!", type: "error", text: "Please enter password", showConfirmButton: true, allowOutsideClick: false, allowEscapeKey: false}).then((result) => {
		removeerrorstyleinput('username');
                removeerrorstyleinput('type');
		adderrorstyleinput('password');
		inputfocus('password');
	});
	return false;
  }

}